Subject: Re: [PATCH] http-backend: write newlines to stderr when responding with errors

From: "KJ Tsanaktsidis" <[email-masked]>
Date: Mon, 12 Jan 2026 12:47:12 +1100

On Mon, Jan 12, 2026, at 5:25 AM, Junio C Hamano wrote:
> Now another question is which between the callers and these two
> helper functions is responsible to ensure that the message
> terminates with LF.  As these functions can be called only once, I
> think letting them add LF makes sense (if they can be called twice
> or more, we can imagine that a caller may find it useful to make two
> calls to produce a single log entry by ending only the later call
> with LF, but such a use-case clearly cannot be supported with these
> NORETURN functions).  So I think this design makes sense.

Agreed, the code clearly can't log more messages at this point!

> Somehow it feels overly heavyweight to call fprintf() just to send a
> single literal byte to the standard error stream.  putc('\n', stderr)
> perhaps?  The same comment forr the other hunk.

I sent a v2 to fix this (hopefully correctly, I haven't had a whole lot
of experience sending patches to mailing lists with git-send-email :/)